/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author developer2
 */
@Embeddable
public class TarmcertificadoarmasPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "FECHAREPORTE")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fechareporte;
    @Basic(optional = false)
    @Column(name = "SESSIONID")
    private String sessionid;
    @Basic(optional = false)
    @Column(name = "ORDEN")
    private int orden;

    public TarmcertificadoarmasPK() {
    }

    public TarmcertificadoarmasPK(Date fechareporte, String sessionid, int orden) {
        this.fechareporte = fechareporte;
        this.sessionid = sessionid;
        this.orden = orden;
    }

    public Date getFechareporte() {
        return fechareporte;
    }

    public void setFechareporte(Date fechareporte) {
        this.fechareporte = fechareporte;
    }

    public String getSessionid() {
        return sessionid;
    }

    public void setSessionid(String sessionid) {
        this.sessionid = sessionid;
    }

    public int getOrden() {
        return orden;
    }

    public void setOrden(int orden) {
        this.orden = orden;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (fechareporte != null ? fechareporte.hashCode() : 0);
        hash += (sessionid != null ? sessionid.hashCode() : 0);
        hash += (int) orden;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TarmcertificadoarmasPK)) {
            return false;
        }
        TarmcertificadoarmasPK other = (TarmcertificadoarmasPK) object;
        if ((this.fechareporte == null && other.fechareporte != null) || (this.fechareporte != null && !this.fechareporte.equals(other.fechareporte))) {
            return false;
        }
        if ((this.sessionid == null && other.sessionid != null) || (this.sessionid != null && !this.sessionid.equals(other.sessionid))) {
            return false;
        }
        if (this.orden != other.orden) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TarmcertificadoarmasPK[ fechareporte=" + fechareporte + ", sessionid=" + sessionid + ", orden=" + orden + " ]";
    }
    
}
